Sign up to the Claims Portal newsletter to get the latest updates Sign up now

Security Upgrades to Supported Browsers is now live

Update12/07/2022

Security Upgrades to Supported Browsers is now live

We are pleased to inform you that the security upgrade for supported browsers compatibility to access the Claims Portal website is now live.  This means that only certain supported browsers will allow you to gain access to the portal and training sites.

 If you are not using a compatible browser you will not be able to access Claims Portal.

As part of Claims Portal’s periodic security maintenance and upgrades to the Cipher suites, we will no longer be able to support browsers that are not compatible with Transport Layer Security (TLS) 1.2 and above.

Please note that the following Browsers will be compatible with the Portal:

  • Internet Explorer 11 and above
  • Google Chrome (all versions compatible with TLS 1.2 and above)
  • Firefox (all versions compatible with TLS 1.2 and above)
  • Microsoft Edge (version 79 and above)


If you use a browser that is not listed as supported:

If you are not using the latest version of the above listed supported browsers, you will receive a message advising that the website cannot be reached and you will be recommended to upgrade to the latest version for security reasons. If you do not upgrade to the latest version, you will not be able to connect to Claims Portal.

If you wish to check whether your current browser version supports TLS 1.2 visit https://en.wikipedia.org/wiki/Transport_Layer_Security.  
 
If you need to enable or upgrade your version, please refer to your own internal IT support as Claims Portal are unable to assist you with these tasks.

Regards

Tim Wallis
Chair, Claims Portal Ltd

Change Cookie Choices